%global realname certifi
%global upstream certifi
%global upstream_reponame erlang-certifi


Name:     erlang-%{realname}
Version:  2.5.2
Release:  %mkrel 1
BuildArch: noarch
Summary:  Dummy certifi (certificate bundle) package for erlang
Group:    Development/Erlang
License:  BSD
URL:      https://github.com/%{upstream}/%{upstream_reponame}
Source0:  https://github.com/%{upstream}/%{upstream_reponame}/archive/%{version}/%{upstream_reponame}-%{version}.tar.gz
Patch0:   erlang-certifi-enforce_fedora_ca_bundle.patch
BuildRequires:  erlang-rebar sed erlang-parse_trans
Requires:       erlang-rebar

%description
Upstream certifi provides a custom CA bundle to erlang. Since custom CA bundles
cannot be packaged in Fedora, this 'dummy' package patches certifi to point to
the default Fedora CA bundle.

%prep
%setup -q -n %{upstream_reponame}-%{version}
%patch0

# Fix dependency version issue
sed -i 's/{parse_trans, "3.2.0"}/{parse_trans, "3.3.0"}/' rebar.config

%build
%{erlang_compile}

%install
%{erlang_install}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/



%changelog
* Sun Dec 20 2020 wally <wally> 2.5.2-1.mga8
+ Revision: 1661509
- new version 2.5.2
- update RPM group
- make pkg noarch

* Fri Feb 14 2020 umeabot <umeabot> 2.3.1-2.mga8
+ Revision: 1520447
- Mageia 8 Mass Rebuild

* Wed Nov 21 2018 wally <wally> 2.3.1-1.mga7
+ Revision: 1332932
- imported package erlang-certifi


* Sun Jul 15 2018 Timothée Floure <fnux@fedoraproject.org> - 2.3.1-1
- Let there be package
